
%global base_name    net
%global short_name   commons-%{base_name}

Name:           apache-%{short_name}
Version:        3.3
Release:        %mkrel 9
Summary:        Internet protocol suite Java library
License:        ASL 2.0
Group:          Development/Java
URL:            http://commons.apache.org/%{base_name}/
Source0:        http://archive.apache.org/dist/commons/%{base_name}/source/%{short_name}-%{version}-src.tar.gz
BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  maven-plugin-build-helper
BuildRequires:  apache-commons-parent
# Test dependency
BuildRequires:  junit

Provides:       jakarta-%{short_name} = 0:%{version}-%{release}
Obsoletes:      jakarta-%{short_name} < 0:2.0-3


%description
This is an Internet protocol suite Java library originally developed by
ORO, Inc.  This version supports Finger, Whois, TFTP, Telnet, POP3, FTP,
NNTP, SMTP, and some miscellaneous protocols like Time and Echo as well
as BSD R command support. The purpose of the library is to provide
fundamental protocol access, not higher-level abstractions.

%package javadoc
Summary:    API documentation for %{name}
Provides:   jakarta-%{short_name}-javadoc = 0:%{version}-%{release}
Obsoletes:  jakarta-%{short_name}-javadoc < 0:2.0-3

%description javadoc
%{summary}.

%prep
%setup -q -n %{short_name}-%{version}-src
sed -i 's/\r//' NOTICE.txt LICENSE.txt README RELEASE-NOTES.txt

# This test fails with "Connection timed out"
rm src/test/java/org/apache/commons/net/time/TimeTCPClientTest.java

%mvn_file  : %{short_name} %{name}
%mvn_alias : org.apache.commons:%{short_name}

%build
%mvn_build -f

%install
%mvn_install


%files -f .mfiles
%doc LICENSE.txt NOTICE.txt README RELEASE-NOTES.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt NOTICE.txt




%changelog
* Thu Dec 25 2014 pterjan <pterjan> 3.3-9.mga5
+ Revision: 805572
- Clean rebuild

* Tue Dec 16 2014 pterjan <pterjan> 3.3-8.mga5
+ Revision: 803565
- Bump release

  + dmorgan <dmorgan>
    - Restore from Obsolete

  + sander85 <sander85>
    - Depends on broken java stack

* Wed Oct 15 2014 umeabot <umeabot> 3.3-7.mga5
+ Revision: 743105
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.3-6.mga5
+ Revision: 677819
- Mageia 5 Mass Rebuild

* Tue Dec 31 2013 dmorgan <dmorgan> 3.3-5.mga4
+ Revision: 563619
- Disable tests

* Tue Oct 22 2013 umeabot <umeabot> 3.3-4.mga4
+ Revision: 545646
- Mageia 4 Mass Rebuild

* Wed Oct 16 2013 dmorgan <dmorgan> 3.3-3.mga4
+ Revision: 501524
- Build with xmvn

* Thu Jul 11 2013 dmorgan <dmorgan> 3.3-2.mga4
+ Revision: 453195
- Build with xmvn

* Mon Jul 08 2013 dmorgan <dmorgan> 3.3-1.mga4
+ Revision: 451323
- New version

* Fri Jan 11 2013 umeabot <umeabot> 3.1-2.mga3
+ Revision: 345815
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 12 2012 dmorgan <dmorgan> 3.1-1.mga3
+ Revision: 292662
- New version

* Mon Jun 25 2012 dmorgan <dmorgan> 2.2-5.mga3
+ Revision: 263654
- Use maven 3 to build

* Wed Apr 27 2011 dmorgan <dmorgan> 2.2-4.mga1
+ Revision: 92244
- Rebuild after bootstrapping
- imported package apache-commons-net


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Dec 10 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 2.2-1
- Replace maven plugins with apache-commons-parent for BR
- Versionless jars and javadocs
- Rebase to latest upstream version

* Thu Jul  8 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 2.0-6
- Add license to javadoc subpackage

* Thu May 20 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 2.0-5
- Fix maven depmap JPP name to short_name

* Wed May 19 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 2.0-4
- Ignore test failure

* Wed May 12 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 2.0-3
- Rename jakarta-commons-net to apache-commons-net and drop EPOCH
- Build with maven
- Clean up whole spec

* Thu Aug 13 2009 Alexander Kurtakov <akurtako@redhat.com> 0:2.0-2
- Set maven.repo.local.

* Thu Aug 13 2009 Alexander Kurtakov <akurtako@redhat.com> 0:2.0-1
- Update to upstream 2.0.

